"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ui = ui;

var _server = _interopRequireDefault(require("@ohos/hpm-cli-ui/dist/server"));

var _i18n = _interopRequireDefault(require("../i18n"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function ui(_x) {
  return _ui.apply(this, arguments);
}

function _ui() {
  _ui = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(pluginAPI) {
    var options,
        _args = arguments;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            options = _args.length > 1 && _args[1] !== undefined ? _args[1] : {};

            _i18n["default"].log('ui.start', null);

            (0, _server["default"])(pluginAPI, {
              port: options.port,
              deamon: options.deamon
            });

          case 3:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _ui.apply(this, arguments);
}